Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IScalarParameterDefn

All Superinterfaces:
  IParameterDefn, IParameterDefnBase

    public interface IScalarParameterDefn

extends IParameterDefn

Defines a scalar parameter

Field Summary
`static int` | `AUTO`
`static int` | `AUTO_SUGGEST`
`static int` | `CENTER`
`static int` | `CHECK_BOX`
`static int` | `LEFT`
`static int` | `LIST_BOX`
`static int` | `RADIO_BUTTON`
`static int` | `RIGHT`
`static int` | `TEXT_BOX`

Fields inherited from interface org.eclipse.birt.report.engine.api.IParameterDefn
`SELECTION_LIST_DYNAMIC, SELECTION_LIST_NONE, SELECTION_LIST_STATIC, TYPE_ANY, TYPE_BOOLEAN, TYPE_DATE, TYPE_DATE_TIME, TYPE_DECIMAL, TYPE_FLOAT, TYPE_INTEGER, TYPE_STRING, TYPE_TIME`

Fields inherited from interface org.eclipse.birt.report.engine.api.IParameterDefnBase
`CASCADING_PARAMETER_GROUP, FILTER_PARAMETER, LIST_PARAMETER, PARAMETER_GROUP, SCALAR_PARAMETER, TABLE_PARAMETER`

Method Summary
`boolean` | `allowBlank()` Deprecated.
`boolean` | `allowNewValues()` returns whether the user can enter a value different from values in a selection list Applies only to parameters with a selection list.
`boolean` | `allowNull()` Deprecated.
`boolean` | `displayInFixedOrder()` returns whether the UI should display the seleciton list in a fixed order.
`int` | `getAlignment()`
`int` | `getAutoSuggestThreshold()`
`int` | `getControlType()`
`java.lang.String` | `getDefaultValue()`
`java.lang.String` | `getDisplayFormat()`
`java.lang.String` | `getScalarParameterType()`
`boolean` | `isValueConcealed()`
`void` | `setScalarParameterType(java.lang.String type)` Set parameter type.

Methods inherited from interface org.eclipse.birt.report.engine.api.IParameterDefn
`getDataType, getSelectionList, getSelectionListType, isHidden, isRequired`

Methods inherited from interface org.eclipse.birt.report.engine.api.IParameterDefnBase
`getDisplayName, getHandle, getHelpText, getName, getParameterType, getPromptText, getTypeName, getUserPropertyValue, getUserPropertyValues`

Field Detail

### TEXT_BOX

    static final int TEXT_BOX

See Also:
  Constant Field Values

### LIST_BOX

    static final int LIST_BOX

See Also:
  Constant Field Values

### RADIO_BUTTON

    static final int RADIO_BUTTON

See Also:
  Constant Field Values

### CHECK_BOX

    static final int CHECK_BOX

See Also:
  Constant Field Values

### AUTO_SUGGEST

    static final int AUTO_SUGGEST

See Also:
  Constant Field Values

### AUTO

    static final int AUTO

See Also:
  Constant Field Values

### LEFT

    static final int LEFT

See Also:
  Constant Field Values

### CENTER

    static final int CENTER

See Also:
  Constant Field Values

### RIGHT

    static final int RIGHT

See Also:
  Constant Field Values

Method Detail

### allowNewValues

    boolean allowNewValues()

  returns whether the user can enter a value different from values in a selection list Applies only to parameters with a selection list. Usually, a parameter with allowNewValue=true is displayed as a combo-box, while a parameter with allowNewValue=false is displayed as a list. This is only a UI gesture. Engine does not validate whether the value passed in is in the list.

  Returns:
    whether the user can enter a value different from all values in the list. Applies only when the parameter has a selection list. Default is true.

### displayInFixedOrder

    boolean displayInFixedOrder()

  returns whether the UI should display the seleciton list in a fixed order. Only applies to parameters with a selection list.

  Returns:
    whether the UI should display the selection list in fixed order as the values appear in the list. Default is true.

### isValueConcealed

    boolean isValueConcealed()

  Returns:
    whether the input value needs to be concealed (i.e., password, bank account number, etc.)

### allowNull

    boolean allowNull()

  Deprecated.

  Returns:
    whether the parameter allow null value. If it does not, the end user has to supply a value for the parameter before the report can be run

### allowBlank

    boolean allowBlank()

  Deprecated.

  Returns:
    whether the parameter allow empty string as input. If not, the end user has to supply a string value that is non-empty

### getDisplayFormat

    java.lang.String getDisplayFormat()

  Returns:
    the formatting instructions for the parameter value within the parameter UI

### getControlType

    int getControlType()

  Returns:
    the control type used in the parameter UI. Supports TEXT_BOX (default), LIST_BOX, RADIO_BUTTON and CHECK_BOX.

### getAlignment

    int getAlignment()

  Returns:
    how the items should appear in the UI. Choices are AUTO (default), LEFT, CENTER and RIGHT

### getDefaultValue

    java.lang.String getDefaultValue()

  Returns:
    the default value

### getScalarParameterType

    java.lang.String getScalarParameterType()

  Returns:
    the scalar parameter type, like "simple", "multi-value" or "ad-hoc"

### setScalarParameterType

    void setScalarParameterType(java.lang.String type)

  Set parameter type.

  Parameters:
    `type` - scalar parameter type

### getAutoSuggestThreshold

    int getAutoSuggestThreshold()

  Returns:
    the number of values that a picklist could have

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.